# Projects based on MMPretrain

There are many projects built upon MMPretrain(MMClassification previsously).
We list some of them as examples of how to extend MMPretrain(MMClassification previsously) for your own projects.
As the page might not be completed, please feel free to create a PR to update this page.

## Projects as an extension

- [OpenMixup](https://github.com/Westlake-AI/openmixup): an open-source toolbox for supervised, self-, and semi-supervised visual representation learning with mixup based on PyTorch, especially for mixup-related methods.
- [AI Power](https://github.com/ykk648/AI_power): AI toolbox and pretrain models.
- [OpenBioSeq](https://github.com/Westlake-AI/OpenBioSeq): an open-source supervised and self-supervised bio-sequence representation learning toolbox based on PyTorch.

## Projects of papers

There are also projects released with papers.
Some of the papers are published in top-tier conferences (CVPR, ICCV, and ECCV), the others are also highly influential.
To make this list also a reference for the community to develop and compare new image classification algorithms, we list them following the time order of top-tier conferences.
Methods already supported and maintained by MMPretrain(MMClassification previsously) are not listed.

- Involution: Inverting the Inherence of Convolution for Visual Recognition, CVPR21. [[paper]](https://arxiv.org/abs/2103.06255)[[github]](https://github.com/d-li14/involution)
- Convolution of Convolution: Let Kernels Spatially Collaborate, CVPR22. [[paper]](https://openaccess.thecvf.com/content/CVPR2022/papers/Zhao_Convolution_of_Convolution_Let_Kernels_Spatially_Collaborate_CVPR_2022_paper.pdf)[[github]](https://github.com/Genera1Z/ConvolutionOfConvolution)
